# Result.hpp File Reference

`#include <string>`
`#include <xercesc/util/XercesDefs.hpp>`
`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xqilla/items/Item.hpp>`
`#include <xqilla/runtime/ResultImpl.hpp>`
`#include <xqilla/runtime/EmptyResult.hpp>`

Include dependency graph for Result.hpp:

Go to the source code of this file.

## Classes

class | Result
| A reference counting wrapper for the lazily evaluated query result. More...